{$I Base\DacDemo.inc}

program OdacDemo;

uses
  Forms,
  DemoBase in '..\..\..\..\Common\Demos\Win32\DacDemo\Base\DemoBase.pas',
  HtmlConsts in '..\..\..\..\Common\Demos\Win32\DacDemo\Base\HtmlConsts.pas',
  DemoForm in '..\..\..\..\Common\Demos\Win32\DacDemo\Base\DemoForm.pas' {DemoForm},
  DemoFrame in '..\..\..\..\Common\Demos\Win32\DacDemo\Base\DemoFrame.pas' {DemoFrame},
  CategoryFrame in '..\..\..\..\Common\Demos\Win32\DacDemo\Base\CategoryFrame.pas',
  VTable in '..\..\..\..\Common\Demos\Win32\DacDemo\VirtualTable\VTable.pas' {VirtualTableFrame},
  OdacDemoForm in 'Base\OdacDemoForm.pas' {OdacForm},
  OdacDemoFrame in 'Base\OdacDemoFrame.pas' {OdacDemoFrame},
  OdacAbout in 'Base\OdacAbout.pas' {OdacAboutForm},
  Query in 'Query\Query.pas' {QueryFrame},
  ConnectDialog in 'ConnectDialog\ConnectDialog.pas' {ConnectDialogFrame},
  Fetch in 'Loader\Fetch.pas' {FetchForm},
  Smart in 'Smart\Smart.pas' {SmartFrame},
  Sql in 'Sql\Sql.pas' {SqlFrame},
  ParamType in 'Sql\ParamType.pas' {ParamTypeForm},
  StoredProc in 'StoredProc\StoredProc.pas' {StoredProcFrame},
  Table in 'Table\Table.pas' {TableFrame},
  UpdateSQL in 'UpdateSQL\UpdateSQL.pas' {UpdateSQLFrame},
  CachedUpdates in 'CachedUpdates\CachedUpdates.pas' {CachedUpdatesFrame},
  UpdateAction in 'CachedUpdates\UpdateAction.pas' {UpdateActionForm},
  FilterAndIndex in 'FilterAndIndex\FilterAndIndex.pas' {FilterAndIndexFrame},
  MasterDetail in 'MasterDetail\MasterDetail.pas' {MasterDetailFrame},
  Pictures in 'Pictures\Pictures.pas' {PicturesFrame},
  Threads in 'Threads\Threads.pas' {ThreadsFrame},
  ThreadsData in 'Threads\ThreadsData.pas' {ThreadsDataModule: TDataModule},
  Arrays in 'Arrays\Arrays.pas' {ArraysFrame},
  BFile in 'BFile\BFile.pas' {BFileFrame},
  BlobPictures in 'BlobPictures\BlobPictures.pas' {BlobPicturesFrame},
  Clob in 'Clob\Clob.pas' {ClobFrame},
  Cursor in 'Cursor\Cursor.pas' {CursorFrame},
  DMLArray in 'DMLArray\DMLArray.pas' {DMLArrayFrame},
  FetchCursors in 'FetchCursors\FetchCursors.pas' {FetchCursorsFrame},
  Long in 'Long\Long.pas' {LongFrame},
  LongStrings in 'LongStrings\LongStrings.pas' {LongStringsFrame},
  MultiCursors in 'MultiCursors\MultiCursors.pas' {MultiCursorsFrame},
  MultiQueries in 'MultiQueries\MultiQueries.pas' {MultiQueriesFrame},
  Objects in 'Objects\Objects.pas' {ObjectsFrame},
  PLSQLTable in 'PLSQLTable\PLSQLTable.pas' {PLSQLTableFrame},
  ProxySession in 'ProxySession\ProxySession.pas' {ProxySessionFrame},
  XMLType in 'XMLType\XMLType.pas' {XMLTypeFrame},
{$IFNDEF STD}
  Alerter in 'Alerter\Alerter.pas' {AlerterFrame},
{$IFDEF WIN32}
  BDESess in 'BDESession\BDESess.pas' {BDESessionFrame},
{$ENDIF}
  ChangeNotification in 'ChangeNotification\ChangeNotification.pas' {ChangeNotificationFrame},
  ErrorHandler in 'ErrorHandler\ErrorHandler.pas' {ErrorHandlerFrame},
  Loader in 'Loader\Loader.pas' {LoaderFrame},
  Queue in 'Queue\Queue.pas' {QueueFrame},
  Transaction in 'Transaction\Transaction.pas' {TransactionFrame},
  NestedTables in 'NestedTables\NestedTables.pas' {NestedTablesFrame},
  Trace in 'Trace\Trace.pas' {TraceFrame},
  Progressor in 'Progressor\Progressor.pas' {ProgressorFrame},
  Refs in 'Refs\Refs.pas' {RefsFrame},
  Pipes in 'Pipes\Pipes.pas' {PipesFrame},
  SmartRefresh in 'SmartRefresh\SmartRefresh.pas', {SmartRefreshFrame}
{$ENDIF}
{$IFDEF CRDBGRID}
  CRDBGrid in 'CRDBGrid\CRDBGrid.pas', {CRDBGridFrame}
{$ENDIF}
  XMLTypeDetails in 'XMLType\XMLTypeDetails.pas' {XMLDetailsForm};
{$R *.res}

begin
  Application.Initialize;
  Application.CreateForm(TOdacForm, OdacForm);
  Application.Run;
end.

